{ pkgs, ... }:

{
  virtualisation.libvirtd = {
    enable = true;
    dbus.enable = true;
  };
  users.groups.libvirtd.members = [ "imnyang" ];

  services.cockpit = {
    enable = true;
    plugins = with pkgs; [
      cockpit-machines
      cockpit-files
      cockpit-podman
    ];
    openFirewall = true;
    allowed-origins = [ "*" ];
  };

  environment.systemPackages = with pkgs; [
    libvirt-dbus
    virt-manager
    virt-viewer
  ];
}
